#!/bin/sh

SH=$1
# make sure we have some shell to execute
if [ x"$SH" = x ]; then
  SH="/bin/sh"
fi

INIT=""

# determine shell-based file to source in order to get path
case "$SH" in
    */tcsh)
    if [ -r /etc/csh.cshrc ]; then
      INIT="source /etc/csh.cshrc;"
    fi
    if [ -r $HOME/.tcshrc ]; then
      INIT="$INIT source $HOME/.tcshrc;"
    elif [ -r $HOME/.cshrc ]; then
      INIT="$INIT source $HOME/.cshrc;"
    fi
    ;;

    */csh)
    if [ -r /etc/csh.cshrc ]; then
      INIT="source /etc/csh.cshrc;"
    fi
    if [ -r $HOME/.cshrc ]; then
      INIT="$INIT source $HOME/.cshrc;"
    fi
    ;;

    */bash)
    if [ -r /etc/profile ]; then
      INIT=". /etc/profile;"
    fi
    if [ -r $HOME/.bash_profile ]; then
      INIT="$INIT . $HOME/.bash_profile;"
    elif [ -r $HOME/.bash_login ]; then
      INIT="$INIT . $HOME/.bash_login;"
    elif [ -r $HOME/.profile ]; then
      INIT="$INIT . $HOME/.profile;"
    fi
    ;;

    */sh|*/ksh)
    if [ -r /etc/profile ]; then
      INIT=". /etc/profile;"
    fi
    if [ -r $HOME/.profile ]; then
      INIT="$INIT . $HOME/.profile;"
    fi
    ;;

    *)
    ;;

esac

echo $INIT
